Add State Delivery Restrictions
1 min
POST
https://api.upstartcommerce.com/v1/dmcshippingcalc/state-delivery-restrictions
deliveryOptionstringDelivery Option against which to update the state delivery restrictions
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyarray
200Ok
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/dmcshippingcalc/state-delivery-restrictions \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '[
{
"siteIds": [],
"deliveryOption": "",
"isActive": true,
"states": []
}
]'